package telegram

import (
	"testing"
)

func TestLogInfo(t *testing.T) {
	tdlibConstant := stringToLogConstant(":info")
	if tdlibConstant != 3 {
		t.Errorf("Wrong TDlib constant for info")
	}
}

func TestLogInvalid(t *testing.T) {
	tdlibConstant := stringToLogConstant("ziz")
	if tdlibConstant != 0 {
		t.Errorf("Unknown strings should return fatal loglevel")
	}
}
